CC = gcc
CFLAGS = -g -Wall

all: acumulador monitor televisor testEsfuerzo

acumulador: acumulador.o
	$(CC) $(CFLAGS) acumulador.o -o acumulador

acumulador.o: acumulador.c
	$(CC) $(CFLAGS) -c acumulador.c

monitor: monitor.o
	$(CC) $(CFLAGS) monitor.o -o monitor

monitor.o: monitor.c
	$(CC) $(CFLAGS) -c monitor.c

televisor: televisor.o
	$(CC) $(CFLAGS) televisor.o -o televisor

televisor.o: televisor.c
	$(CC) $(CFLAGS) -c televisor.c

testEsfuerzo: testEsfuerzo.o
	$(CC) $(CFLAGS) testEsfuerzo.o -pthread -o testEsfuerzo

testEsfuerzo.o: testEsfuerzo.c
	$(CC) $(CFLAGS) -c testEsfuerzo.c

clean:
	rm -f *.o
